# $Revision: 1.4 $, $Date: 2012/01/24 09:55:35 $
%define		modname	adodb
%define		ver		%(echo %{version} | tr -d .)
Summary:	ADOdb PHP extension
Name:		php-pecl-%{modname}
Version:	5.0.4
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://phplens.com/lens/dl/adodb-ext-%{ver}.zip
# Source0-md5:	4efb3fc1f5a347f20be9222885779688
URL:		http://adodb.sourceforge.net/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ADOdb PHP extension provides up to 100% speedup by replacing parts of
ADOdb with C code. ADOdb will auto-detect if this extension is
installed and use it automatically.

%prep
%setup -q -c
mv %{modname}-%{ver}/* .
%undos README.txt

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README.txt
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-adodb.spec,v $
Revision 1.4  2012/01/24 09:55:35  glen
- fix url; use undos macro

Revision 1.3  2011/10/14 05:31:59  glen
- remove unused tests bcond

Revision 1.2  2010/04/06 18:15:08  sparky
- BR: unzip

Revision 1.1  2010/03/28 20:51:55  glen
- php ext to speedup adodb
